<template>
  <div class="cont-item-detail">
    <h4 v-if="data.isSub" class="cont-part-title">{{ data.number }}）</h4>
    <h4 v-else class="cont-part-title">{{ data.number }}、</h4>
    <div class="cont-part-body">
      <rich-text :text-json="data.body"></rich-text>
    </div>
  </div>
</template>

<script>
import RichText from "./RichText.vue";

export default {
  name: "topic-title",
  components: { RichText },
  props: {
    data: {
      type: Object,
      default() {
        return {};
      },
    },
  },
  data() {
    return {};
  },
};
</script>
